retracer should subscribe ubuntu-bugcontrol team to bugs w/ lots of dups

Bug #487900 reported by Brian Murray on 2009-11-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Martin Pitt

Bug Description

Binary package hint: apport

At the UDS for Lucid the lack of bug patterns and the high quantity of duplicate bug reports was discussed and it was decided that the apport-retracer should subscribe the ubuntu-bugcontrol team (which can write bug patterns) to bugs with more than 10 duplicates. After some discussion with the ubuntu-bugcontrol team some additional modifications were decided upon.

In addition to subscribing ubuntu-bugcontrol to the bug report, the bug will also be tagged 'bugpattern-needed'. Additionally, the retracer will notify us of bugs that are tagged as 'bugpattern-deferred' or that the ubuntu-bugcontrol team has already been subscribed to.

Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
milestone: none → lucid-alpha-1
Martin Pitt (pitti) wrote :

Hm, that would mean to spam practically everyone with lots of bugs everytime. ubuntu-bugcontrol is perhaps a a little too much?

Changed in apport (Ubuntu):
status: New → In Progress
Brian Murray (brian-murray) wrote :

I'm not clear on how we would get this lots of bug mail. My thought was that the retracer would do this going forward and not subscribe us to every bug with more than 10 duplicates but rather as a bug gets its > 10th duplicate the team would be subscribed. Do you think 10 is too few?

Brian Murray [2009-11-25 16:31 -0000]:
> I'm not clear on how we would get this lots of bug mail. My thought was
> that the retracer would do this going forward and not subscribe us to
> every bug with more than 10 duplicates but rather as a bug gets its >
> 10th duplicate the team would be subscribed.

That's what I understood as well, but for each such case it would
still notify some 400 people. There doesn't seem to be a clear "who
should care about this" kind of responsibility with so many receivers?

> Do you think 10 is too few?

We'll see over time. My gut feeling is that 10 is enough to raise some
attention and at least create a bug pattern.

Brian Murray (brian-murray) wrote :

The ubuntu-bugcontrol team has a mailing list on Launchpad with 77 subscribers. Would setting the contact address for the team to the launchpad mailing list allay any concerns you have about the quantity of people being notified?

Or maybe instead of subscribing the team to the bug control the retracer could just send an e-mail to the mailing list of the bug number with more than 10 duplicates?

Martin Pitt (pitti) wrote :

> The ubuntu-bugcontrol team has a mailing list on Launchpad with 77 subscribers. Would setting the contact address for the team to the launchpad mailing list allay any concerns you have about the quantity of people being notified?

That would do it, yes. Right now the team has no contact address set, which means that mails go to all members.

> Or maybe instead of subscribing the team to the bug control the retracer could just send an e-mail to the mailing list of the bug number with more than 10 duplicates?

It's a little more effort (since the retracer chroots have no MTA, so you have to do all the SMTP handling manually), but should work. Do you prefer this?

Brian Murray (brian-murray) wrote :

On Fri, Dec 04, 2009 at 09:19:28AM -0000, Martin Pitt wrote:
> > The ubuntu-bugcontrol team has a mailing list on Launchpad with 77
> subscribers. Would setting the contact address for the team to the
> launchpad mailing list allay any concerns you have about the quantity of
> people being notified?
>
> That would do it, yes. Right now the team has no contact address set,
> which means that mails go to all members.

The contact address has been modified.

> > Or maybe instead of subscribing the team to the bug control the
> retracer could just send an e-mail to the mailing list of the bug number
> with more than 10 duplicates?
>
> It's a little more effort (since the retracer chroots have no MTA, so
> you have to do all the SMTP handling manually), but should work. Do you
> prefer this?

No, let's start with subscribing the team.

--
Brian Murray @ubuntu.com

Brian Murray (brian-murray) wrote :

There might actually be a Launchpad bug regarding bug mail not making it to Launchpad mailing lists. I've reported it but don't think it should prevent the change from happening. Perhaps you could also subscribe me in addition to bug control in in the interim?

Brian Murray (brian-murray) wrote :
Martin Pitt (pitti) on 2009-12-28
Changed in apport (Ubuntu):
milestone: lucid-alpha-1 → lucid-alpha-2
Martin Pitt (pitti) wrote :

trunk r1693

Changed in apport (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.11-0ubuntu4

---------------
apport (1.11-0ubuntu4) lucid; urgency=low

  * Merge from trunk:
    - launchpad.py: Add options 'escalation_subscription' and 'escalation_tag'
      for handling bugs with more than 10 duplicates.
    - crashdb.conf: For Ubuntu, escalate bugs with >= 10 duplicates to
      "ubuntu-bugcontrol" and tag them with "bugpattern-needed". (LP: #487900)
    - launchpad.py: Drop APPORT_FILES whitelist for download() and instead
      just filter out file extensions that we know about (*.txt and *.gz).
      (LP: #444975)
 -- Martin Pitt <email address hidden> Mon, 11 Jan 2010 23:53:10 +0100

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers